<!DOCTYPE html> 
<html> 
<head> 
	<meta charset="utf-8">
	<title></title>
	<script src="../jquery-2.0.3.min.js"></script>
	<script>
			var tmp = [];
			var timedelay = 200;
			var continBlink = false;
			var blinkRate = 500;
			var state = "false";
			$(document).ready(function(){
				if(typeof DozdClass != "undefined")
				{
					//timedelay = DozdClass.getRefreshRate();
					blinkRate = DozdClass.getBlinkRate();
					state = DozdClass.getAlarmState();
					fn();
					//Rstate();
					//Mstate();
				}
				else
					alert("none android mode");
			});
			function fn()
			{
				var jsonStr = DozdClass.getSensors();
				var obj = JSON.parse(jsonStr);
				state = DozdClass.getAlarmState();
				if(state=='false')
					$("#power").prop('src','../fire/img/poweron.png');
				else
					$("#power").prop('src','../fire/img/poweroff.png');
				tmp = [];
				for(i = 0;i < obj.length;i++)
				{
					if(obj[i].isOn)
						tmp.push(obj[i].id);
					//DozdClass.showToast('id = '+obj[i].id+",isOn="+obj[i].isOn);
				}
				if(tmp.length>0)
				{
					continBlink = true;
					setTimeout('blinkDiv();',blinkRate);
				}
				else
					continBlink = false;
				setTimeout("fn();",timedelay);
			}
			function blinkDiv()
			{
				if(continBlink)
				{
					for(var i=0;i<tmp.length;i++)
						if($("#main_"+tmp[i]).length>0)
							$("#main_"+tmp[i]).toggle();
					setTimeout('blinkDiv();',blinkRate);
				}
			}
			function swAlarm()
			{
				DozdClass.toggleAlarm();
				//DozdClass.showToast(DozdClass.getAlarmState());
			}
		</script>
		<style>
			.using {
				font-family:tahoma;
				position:absolute;
			}
			img.using
			{
				height:100%;
			}
			.pointer
			{
				cursor:pointer;
			}
			.round
			{
				-webkit-border-radius: 8px;
				-moz-border-radius: 8px;
				border-radius: 8px;
			}
			.hass{
				background:#ff0000;
			}
			.room{display:none;}
		</style>
</head> 
<body style="background:#ffffff;">
<div id="notConnected"  ></div>
<table  width="100%" id="maintb"  >
	<tr>
		<td width="90%" valign="top" >
			<img class="using" id="main" src="img/dozd_naghshe.jpg" >
			<img class="using room" id="main_0" src="img/dozd_naghshe_1.png" >
			<img class="using room" id="main_1" src="img/dozd_naghshe_2.png" >
			<img class="using room" id="main_2" src="img/dozd_naghshe_3.png" >
			<img class="using room" id="main_3" src="img/dozd_naghshe_4.png" >
			<img class="using room" id="main_4" src="img/dozd_naghshe_5.png" >
			<img class="using room" id="main_5" src="img/dozd_naghshe_6.png" >
			<img class="using room" id="main_6" src="img/dozd_naghshe_7.png" >
		</td>
		<td width="10%">
				<img onclick="swAlarm();" id="power" src="../fire/img/poweroff.png" >
		</td>
	</tr>
</table>	
</body>
</html>
